Deregister Campaign
curl --request POST \
--url https://public.plai.io/optimize_me/deregister_campaign \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"campaignId": "<string>"
}
'import requests
url = "https://public.plai.io/optimize_me/deregister_campaign"
payload = {
"userId": "<string>",
"campaignId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', campaignId: '<string>'})
};
fetch('https://public.plai.io/optimize_me/deregister_campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"error": "<string>"
}
}Campaign Optimization
Deregister Campaign
Use this endpoint when a user decides to stop campaign optimization through the ‘Optimize For Me’ service. Once deregistered, the system will no longer perform audience or creative optimizations for that campaign.This allows users full control over which campaigns are being optimized and ensures flexibility if strategies or requirements change.
POST
/
optimize_me
/
deregister_campaign
Deregister Campaign
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Campaign ID
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).